%define	upstream_name	 Params-Validate
%define upstream_version 1.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Validate method/function call parameters
License:    GPL+ or Artistic
Group:      Development/Other
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.422.700
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml TODO
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Wed Aug 21 2024 neoclust <neoclust> 1.310.0-4.mga10
+ Revision: 2087375
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 1.310.0-3.mga10
+ Revision: 2011052
- Rebuild for armv7

* Sun Nov 26 2023 tv <tv> 1.310.0-2.mga10
+ Revision: 2009890
- Rebuild for perl-5.38

* Thu Oct 27 2022 tv <tv> 1.310.0-1.mga9
+ Revision: 1899641
- update to 1.31

* Wed Jun 08 2022 tv <tv> 1.300.0-4.mga9
+ Revision: 1863508
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.300.0-3.mga9
+ Revision: 1796352
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tv <tv> 1.300.0-2.mga9
+ Revision: 1728024
- rebuild for perl-5.34 b/c of:
  "lib/Params/Validate/XS.c: loadable library and perl binaries are mismatched (got handshake key 0xed00080, needed 0xeb00080)"

* Mon Oct 19 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1636812
- update to 1.30

* Fri Jun 19 2020 tv <tv> 1.290.0-8.mga8
+ Revision: 1596593
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.290.0-7.mga8
+ Revision: 1530312
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.290.0-6.mga8
+ Revision: 1434710
- BR perl-ExtUtils-MakeMaker
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.290.0-5.mga7
+ Revision: 1293649
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 1.290.0-4.mga7
+ Revision: 1247974
- Rebuild for new perl 5.28.0

* Tue Oct 03 2017 tv <tv> 1.290.0-3.mga7
+ Revision: 1166129
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.290.0-2.mga7
+ Revision: 1149100
- Rebuild for perl ABI changes

* Fri Jul 21 2017 shlomif <shlomif> 1.290.0-1.mga7
+ Revision: 1126326
- rebuild for new perl 5.26.0 + new upstream ver

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-2.mga6
+ Revision: 1031637
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.230.0-1.mga6
+ Revision: 1002283
- update to 1.23

* Thu Feb 25 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 978828
- update to 1.22

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957847
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 855366
- update to 1.21

* Sun Jul 05 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 851560
- update to 1.20

* Fri Jun 26 2015 tv <tv> 1.190.0-2.mga6
+ Revision: 845074
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.190.0-1.mga6
+ Revision: 840593
- New version 1.19 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 745309
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.130.0-3.mga5
+ Revision: 733215
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 685885
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 640826
- update to 1.13

* Fri Jun 27 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 640340
- update to 1.11

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-2.mga5
+ Revision: 631584
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 624167
- update to 1.10

* Tue May 06 2014 jquelin <jquelin> 1.90.0-1.mga5
+ Revision: 620479
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 527604
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.80.0-1.mga4
+ Revision: 441473
- update to 1.08

* Wed May 29 2013 tv <tv> 1.70.0-3.mga4
+ Revision: 430111
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 315815
- update to 1.07

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 251027
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 219702
- update to 1.06

* Wed Jun 15 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 107290
- update to 1.00

* Sat Jun 11 2011 sander85 <sander85> 0.950.0-4.mga2
+ Revision: 104121
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.950.0-3.mga1
+ Revision: 31029
- mageia rebuild
- imported package perl-Params-Validate


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.950.0-3mdv2011.0
+ Revision: 564573
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.950.0-2mdv2011.0
+ Revision: 555276
- rebuild

* Tue Feb 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.950.0-1mdv2010.1
+ Revision: 506750
- update to 0.95

* Fri Dec 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.940.0-1mdv2010.1
+ Revision: 473276
- fix format security
- update to 0.94

* Tue Dec 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.1
+ Revision: 472245
- update to 0.93

* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 449779
- update to 0.92

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.910.0-1mdv2010.0
+ Revision: 404283
- rebuild using %%perl_convert_version

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 0.91-2mdv2009.1
+ Revision: 366061
- fix str fmt

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.91-2mdv2009.0
+ Revision: 265430
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdv2009.0
+ Revision: 202292
- new version
- update to new version 0.91

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.89-2mdv2008.1
+ Revision: 151322
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.89-1mdv2008.1
+ Revision: 105306
- update to new version 0.89

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.88-2mdv2008.0
+ Revision: 90065
- rebuild

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.88-1mdv2008.0
+ Revision: 20318
- 0.88


* Wed Aug 09 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-09 17:46:48 (54825)
- Version 0.86

* Wed Aug 09 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-09 17:44:18 (54823)
- import perl-Params-Validate-0.85-1mdv2007.0

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2007.0
- New version 0.85

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 0.84-1mdv2007.0
- 0.84

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 0.83-2mdv2007.0
- Added BuildRequires ExtUtils::CBuilder

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 0.83-1mdv2007.0
- 0.83

* Tue May 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.82-1mdk
- 0.82

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdk
- New release 0.81
- fix source URL

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.80-1mdk
- 0.80

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-1mdk
- new version
- spec cleanup
- %%{1}mdv2007.0
- rpmbuildupdate aware

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.78-1mdk
- 0.78

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.77-1mdk
- 0.77
- add tests ; spec cleanup

* Fri Nov 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.76-1mdk
- New release 0.76

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.74-1mdk
- New release 0.74

* Wed Aug 27 2003 François Pons <fpons@mandrakesoft.com> 0.65-1mdk
- 0.65.

